#
# spec file for package rubygem-mail
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-mail-2_4
Version:        2.4.4
Release:        11.20
%define mod_name mail
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
Url:            http://github.com/mikel/mail
Source:         %{mod_full_name}.gem
Patch0:         fix_bsc_959129_mail_2.4.4.patch 
Summary:        Mail provides a nice Ruby DSL for making, sending and reading emails
License:        MIT
Group:          Development/Languages/Ruby

%description
A really Ruby Mail handler.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%prep
gem unpack --verbose %{S:0}
pushd %{mod_full_name}
  chmod -R go-w .
  gem spec --ruby %{S:0} > %{mod_full_name}.gemspec
    patch -p1 < %{P:0}
  gem build %{mod_full_name}.gemspec
popd

%build

%install
%gem_install -f %{mod_full_name}/%{mod_full_name}.gem

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%changelog
* Thu Dec 31 2015 jmassaguerpla@suse.com
- fix SMTP Injection via recipient email addresses bsc#959129
  fix_bsc_959129_mail_2.4.4.patch: contains the fix
* Mon Nov 26 2012 coolo@suse.com
- updated to version 2.4.4
* Mon Nov 26 2012 coolo@suse.com
- updated to version
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to have new provisions
* Mon Apr 23 2012 saschpe@suse.de
- Also require rubygem-i18n-0_6 instead of rubygem-i18n
* Tue Apr  3 2012 coolo@suse.com
- update to 2.4.4
  * Fix security vulnerability allowing command line exploit when using file delivery method
  * Fix security vulnerability allowing command line exploit when using exim or sendmail from the command line
  * Change Mail#deliver! to also inform the interceptors
  * Encodings.value_decode(str): Treat lines with mixed encoding correctly when the line ends with a plain text part.
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Jan 26 2012 mrueckert@suse.de
- initial package 2.4 branch
